/*
* Copyright 2020 Kumori systems S.L.
*
* Licensed under the EUPL, Version 1.2 or – as soon they
* will be approved by the European Commission - subsequent
* versions of the EUPL (the "Licence");
* You may not use this work except in compliance with the
* Licence.
* You may obtain a copy of the Licence at:
*
* https://joinup.ec.europa.eu/software/page/eupl
*
* Unless required by applicable law or agreed to in
* writing, software distributed under the Licence is
* distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied.
* See the Licence for the specific language governing
* permissions and limitations under the Licence.
 */
// Code generated by informer-gen. DO NOT EDIT.

package v1alpha6

import (
	internalinterfaces "gitlab.com/kumori-systems/community/libraries/clusterapi-client-go/pkg/generated-openstack/informers/externalversions/internalinterfaces"
)

// Interface provides access to all the informers in this group version.
type Interface interface {
	// OpenStackClusters returns a OpenStackClusterInformer.
	OpenStackClusters() OpenStackClusterInformer
	// OpenStackClusterTemplates returns a OpenStackClusterTemplateInformer.
	OpenStackClusterTemplates() OpenStackClusterTemplateInformer
	// OpenStackMachines returns a OpenStackMachineInformer.
	OpenStackMachines() OpenStackMachineInformer
	// OpenStackMachineTemplates returns a OpenStackMachineTemplateInformer.
	OpenStackMachineTemplates() OpenStackMachineTemplateInformer
}

type version struct {
	factory          internalinterfaces.SharedInformerFactory
	namespace        string
	tweakListOptions internalinterfaces.TweakListOptionsFunc
}

// New returns a new Interface.
func New(f internalinterfaces.SharedInformerFactory, namespace string, tweakListOptions internalinterfaces.TweakListOptionsFunc) Interface {
	return &version{factory: f, namespace: namespace, tweakListOptions: tweakListOptions}
}

// OpenStackClusters returns a OpenStackClusterInformer.
func (v *version) OpenStackClusters() OpenStackClusterInformer {
	return &openStackClusterInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// OpenStackClusterTemplates returns a OpenStackClusterTemplateInformer.
func (v *version) OpenStackClusterTemplates() OpenStackClusterTemplateInformer {
	return &openStackClusterTemplateInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// OpenStackMachines returns a OpenStackMachineInformer.
func (v *version) OpenStackMachines() OpenStackMachineInformer {
	return &openStackMachineInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// OpenStackMachineTemplates returns a OpenStackMachineTemplateInformer.
func (v *version) OpenStackMachineTemplates() OpenStackMachineTemplateInformer {
	return &openStackMachineTemplateInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}
